/*
 * generated by Xtext 2.22.0
 */
package tdt4250.ra.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.xtext.util.Modules2;
import tdt4250.ra.RaxRuntimeModule;
import tdt4250.ra.RaxStandaloneSetup;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class RaxIdeSetup extends RaxStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new RaxRuntimeModule(), new RaxIdeModule()));
	}
	
}
